Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.share
Class PaquetOnQueue

    java.lang.Object
      madkit.share.PaquetOnQueue

    public class PaquetOnQueue

extends java.lang.Object

Constructor Summary
`PaquetOnQueue(java.lang.String p, AgentAddress a, int s, int e, java.lang.String c)`

Method Summary
`AgentAddress` | `getAddress()`
`java.lang.String` | `getClientPath()`
`int` | `getOffsetEnd()`
`int` | `getOffsetStart()`
`int` | `getPaquetSize()`
`java.lang.String` | `getPath()`
`void` | `setAddress(AgentAddress a)`
`void` | `setOffsetEnd(int o)`
`void` | `setOffsetStart(int o)`
`void` | `setPath(java.lang.String p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaquetOnQueue

    public PaquetOnQueue(java.lang.String p,
                         AgentAddress a,
                         int s,
                         int e,
                         java.lang.String c)

Method Detail

### getPath

    public java.lang.String getPath()

### getAddress

    public AgentAddress getAddress()

### getOffsetStart

    public int getOffsetStart()

### getOffsetEnd

    public int getOffsetEnd()

### getClientPath

    public java.lang.String getClientPath()

### getPaquetSize

    public int getPaquetSize()

### setPath

    public void setPath(java.lang.String p)

### setAddress

    public void setAddress(AgentAddress a)

### setOffsetStart

    public void setOffsetStart(int o)

### setOffsetEnd

    public void setOffsetEnd(int o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.